/*
 * @Author: hcc han_chen301@163.com
 * @Date: 2025-05-23 10:53:24
 * @LastEditors: hcc
 * @LastEditTime: 2025-06-05 18:00:37
 * @remarker:
 */
import type { StatDeptForm, StatDeptQuery, StatDeptVO } from './model';

import type { ID, IDS, PageResult } from '#/api/common';

import { commonExport } from '#/api/helper';
import { requestClient } from '#/api/request';

/**
 * 查询单位每日数据统计列表
 * @param params
 * @returns 单位每日数据统计列表
 */
export function statDeptList(params?: StatDeptQuery) {
  return requestClient.get<PageResult<StatDeptVO>>('/biz/statDept/liststat', {
    params,
  });
}

/**
 * 导出单位每日数据统计列表
 * @param params
 * @returns 单位每日数据统计列表
 */
export function statDeptExport(params?: StatDeptQuery) {
  return commonExport('/biz/statDept/export', params ?? {});
}

/**
 * 查询单位每日数据统计详情
 * @param id id
 * @returns 单位每日数据统计详情
 */
export function statDeptInfo(id: ID) {
  return requestClient.get<StatDeptVO>(`/biz/statDept/${id}`);
}

/**
 * 新增单位每日数据统计
 * @param data
 * @returns void
 */
export function statDeptAdd(data: StatDeptForm) {
  return requestClient.postWithMsg<void>('/biz/statDept', data);
}

/**
 * 更新单位每日数据统计
 * @param data
 * @returns void
 */
export function statDeptUpdate(data: StatDeptForm) {
  return requestClient.putWithMsg<void>('/biz/statDept', data);
}

/**
 * 删除单位每日数据统计
 * @param id id
 * @returns void
 */
export function statDeptRemove(id: ID | IDS) {
  return requestClient.deleteWithMsg<void>(`/biz/statDept/${id}`);
}
